{
    attributes = (
        {
            columnName = "BAP_ID"; 
            externalType = NUMBER; 
            name = bapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "C_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = code; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = libelleCourt; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_SPECIALITE_ITARF"; 
            externalType = VARCHAR2; 
            name = libelleLong; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (bapId, code, libelleCourt, libelleLong); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.specialisations.EOSpecialiteItarf"; 
    classProperties = (bapId, code, libelleCourt, libelleLong, toBap); 
    externalName = "GRHUM.SPECIALITE_ITARF"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (bapId, code, libelleCourt, libelleLong, toBap); 
    }; 
    name = SpecialiteItarf; 
    primaryKeyAttributes = (bapId, code); 
    relationships = (
        {
            destination = Bap; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = bapId; }); 
            name = toBap; 
        }
    ); 
}
